<?php

/*
*  Assembly Website Builder
*
*  Assembly extendable module fields
*
*  @package		Assembly
*  @subpackage	Core
*/

if ( is_admin() ) {  

  /*
  *  asm_edit_fields_module_gallery
  *
  *  Assembly page module fields
  *
  *  @type  function
  *  @date  08/12/15
  *  @since 0.5.0
  *
  *  @param $tabs (array)
  *  @return  $tabs (array)
  */

  function asm_edit_fields_module_gallery( $tabs ) {

    $tabs[ 150 ][ 'form' ][ 'fields' ][ 200 ][ 'templateOptions' ][ 'attributes' ][ 1 ][ 'declarations' ][ 'margin' ] = '-{?}';
    //$tabs[ 150 ][ 'form' ][ 'fields' ][ 200 ][ 'templateOptions' ][ 'attributes' ][ 0 ][ 'declarations' ][ 'border-width' ] = '{?}';

    /*$tabs[ 150 ][ 'form' ][ 'fields' ][ 500 ] = array(
      'className' => 'half',
      'key' => 'titles_font_size',
      'type' => 'inputResponsive',
      'templateOptions' => array(
        'label' => 'Gallery Titles Size',
        'description' => 'Define the titles font size for the gallery items.',
        'attributes' => array(
          array(
            'value' => '?',
            'selectors' => array('.asm-gallery-cell h3'),
            'declarations' => array(
              'font-size' => '{?}px',
            )
          ),
        ),
      ),
    );*/

    /*$tabs[ 150 ][ 'form' ][ 'fields' ][ 600 ] = array(
      'className' => 'half',
      'key' => 'items_aspect_ratio',
      'type' => 'inputResponsive',
      'templateOptions' => array(
        'label' => 'Gallery Aspect Ratio',
        'description' => 'Define the gallery items aspect ratio.',
        'attributes' => array(
          array(
            'value' => '?',
            'selectors' => array('.portfolio-image-responsive-size'),
            'declarations' => array(
              'padding-top' => '{?}%',
            )
          ),
        ),
      ),
    );*/

    return $tabs;

  }

  add_filter( 'asm_edit_fields_module_gallery', 'asm_edit_fields_module_gallery', 10, 2 );


  /*
  *  asm_edit_fields_module_page
  *
  *  Assembly page module fields
  *
  *  @type  function
  *  @date  08/12/15
  *  @since 0.5.0
  *
  *  @param $tabs (array)
  *  @return  $tabs (array)
  */

  function asm_edit_fields_module_page( $tabs ) {

    $tabs[ 50 ] = array(

      'title' => 'Page',
      'active' => true,
      'form' => array(
        'options' => array(),
        'fields' => array(
          200 => array(
            'key' => 'boxed',
            'type' => 'radioResponsive',
            'defaultValue' => array('', '', '', ''),
            'templateOptions' => array(
              'label' => 'Page Layout',
              'description' => 'Select between different boxed page sizes or full width page',
              'isHorizontal' => true,
              'options' => array(
                array(
                  'name' => 'Default',
                  'value' => '',
                ),
                array(
                  'name' => 'Full Width',
                  'value' => 'full_width',
                ),
                array(
                  'name' => 'Boxed (70px)',
                  'value' => 'boxed_70',
                ),
                array(
                  'name' => 'Boxed (40px)',
                  'value' => 'boxed_40',
                )
              ),
              'attributes' => array(
                array(
                  'value' => 'boxed_70',
                  'selectors' => array('body'),
                  'declarations' => array(
                    'padding' => '45px 70px',
                  )
                ),
                array(
                  'value' => 'boxed_70',
                  'selectors' => array('.asm-header.asm-sticky'),
                  'declarations' => array(
                    'padding' => '0 70px'
                  )
                ),
                array(
                  'value' => 'boxed_70',
                  'selectors' => array('.asm-header.asm-sticky .w-container'),
                  'declarations' => array(
                    'padding-top' => '25px',
                    'padding-bottom' => '25px',
                  )
                ),
                array(
                  'value' => 'boxed_40',
                  'selectors' => array('body'),
                  'declarations' => array(
                    'padding' => '40px',
                  )
                ),
                array(
                  'value' => 'boxed_40',
                  'selectors' => array('.asm-header.asm-sticky'),
                  'declarations' => array(
                    'padding' => '0 40px',
                  )
                )/*,
                array(
                  'value' => 'boxed_40',
                  'selectors' => array('.asm-header.asm-sticky .w-container'),
                  'declarations' => array(
                    'padding-left' => '45px',
                    'padding-right' => '45px',
                  )
                )*/,
                array(
                  'value' => 'full_width',
                  'selectors' => array('body'),
                  'declarations' => array(
                    'padding' => '0',
                    'max-width' => '100%'
                  )
                ),
                array(
                  'value' => 'full_width',
                  'selectors' => array('.asm-header.asm-sticky'),
                  'declarations' => array(
                    'padding' => '0',
                    'max-width' => '100%'
                  )
                )
              )
            )
          ),
          300 => array(
            'className' => 'half',
            'key' => 'inner_page_padding',
            'type' => 'inputResponsive',
            'templateOptions' => array(
              'label' => 'Inner Padding',
              'description' => 'Padding body page in pixels',
              'attributes' => array(
                array(
                  'value' => '?',
                  'selectors' => array('.w-container'),
                  'declarations' => array(
                    'padding-left' => '{?}',
                    'padding-right' => '{?}'
                  )
                )
              )
            )
          ),
          400 => array(
            'className' => 'half',
            'key' => 'background_inner_color',
            'type' => 'colorPickerResponsive',
            'templateOptions' => array(
              'label' => 'Background Inner Color',
              'description' => 'Background color for the inner body page',
              'attributes' => array(
                array(
                  'value' => '?',
                  'selectors' => array('.wrapper.inner'),
                  'declarations' => array(
                    'background-color' => '{?}'
                  )
                ),
              )
            )
          )
        )
      )

    );

    return $tabs;

  }

  add_filter( 'asm_edit_fields_module_page', 'asm_edit_fields_module_page', 10, 2 );

}