(function($) {
  "use strict";


	/*
	*  ready
	*
	*  This model sets up all related functionlaity
	*
	*  @type	model
	*  @date	10/02/2015
	*  @since	5.1.5
	*
	*  @param	n/a
	*  @return	n/a
	*/
	
	helpers.add_action( 'ready', function( $el ){

	    $( '#menu-list .menu-item-has-children > a' ).addClass( 'int' );
	    $( 'a:not(.int)' ).click(function(e){

	        // only show loading layer if it is an internal link
	        if( e.currentTarget.host == location.host && e.currentTarget.hash == "" && $(this).attr( 'href' ) != "#" ){
	            //$( '.loading-mask' ).removeClass( 'hide' );
	            $( '.loading-mask' ).removeClass( 'undisplay' );
	            setTimeout(function(){
	            	$( '.loading-mask' ).removeClass( 'hide' );
	            })
	            
    	        theme.m.menus.close_side();
    	        theme.m.menus.close_overlay();
    	        
	        }
	        
	    });
	    
		// ready
		$( '[data-ix|="staggering"]' ).each(function( index ) {
		  	
		  	var data_ix = $(this).attr( 'data-ix' );

		  	$(this)
		  		.addClass( 'asm-ix-parent' )
		  		.wrapInner( '<span class="asm-ix-child"></span>')
		  		.removeAttr( 'data-ix' )
		  		.find( '.asm-ix-child' ).attr( 'data-ix', data_ix );
		  		
		});
		
		// ready
		$( '[data-ix|="header"]' ).find( '.w-row' ).each(function( index ) {
		  	
		  	var data_ix = $(this).parent().parent().attr( 'data-ix' );

		  	$(this).parent().parent().removeAttr( 'data-ix' );
		  	    
		  	$(this)
		  		.addClass( 'asm-ix-parent' )
		  		.wrapInner( '<span class="asm-ix-child" style="display:block; height:100%;"></span>')
		  		.find( '.asm-ix-child' ).attr( 'data-ix', data_ix );

		});

	});


	/*
	*  load
	*
	*  description
	*
	*  @type	function
	*  @date	19/02/2014
	*  @since	5.0.0
	*
	*  @param	$post_id (int)
	*  @return	$post_id (int)
	*/
	
	helpers.add_action('load', function( $el ){

	    // hide loading mask
	    $( '.loading-mask' ).addClass( 'hide' );
	    setTimeout(function(e){
	    	$( '.loading-mask' ).addClass( 'undisplay' );
	    }, 400);
	    	/*.one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function(e) {
	    		$( this ).css( 'bottom', 'auto' );
			});*/
	    
	});


	/*
	*  gallery_appear
	*
	*  This model sets up all related functionlaity
	*
	*  @type	model
	*  @date	10/02/2015
	*  @since	5.1.5
	*
	*  @param	n/a
	*  @return	n/a
	*/
	
	helpers.add_filter( 'gallery_appear', function( fields ){

	 	return {
    		initial_delay: 150,
    		delay_step: 300,
    		appear_y_offset: 50,
    		init: { y: 180, opacity: 0 },
    		end: { y: 0, opacity: 1 }
    	};
	    
    }, 10);


	/*
	*  header_args
	*
	*  This model sets up all related functionlaity
	*
	*  @type	model
	*  @date	10/02/2015
	*  @since	5.1.5
	*
	*  @param	n/a
	*  @return	n/a
	*/

	helpers.add_filter( 'header_args', function( header ){ 

	    if( $('.asm-menu-sticky-enabled').length == 0 )
	        return header;

	    // header args
	    header.$el = $('.asm-menu-sticky-enabled');
	    header.sticky_offset = $('.asm-menu-sticky-enabled').offset().top+23;
	    header.offscreen_offset = $('.asm-menu-sticky-enabled').offset().top+600;
	    header.disable_sticky_mobile = true;
	    //header.disabled = true;

		return header;
		
    }, 10);


	/*
	*  menu_args
	*
	*  This model sets up all related functionlaity
	*
	*  @type	model
	*  @date	10/02/2015
	*  @since	5.1.5
	*
	*  @param	n/a
	*  @return	n/a
	*/

	helpers.add_filter( 'menu_args', function( menu ){ 

	    //if( $('.asm-menu-sticky-enabled').length == 0 )
	    //    return menu;

	    // menu args
	    menu.side.delays.open = 400;
	    menu.side.delays.close = 400;
	    menu.side.delays.submeu.initial = 250;
	    menu.side.delays.submeu.step = 350;
	    
	    // menu args
	    menu.overlay.delays.open = 400;
	    menu.overlay.delays.close = 0;
	    menu.overlay.delays.submeu.initial = 250;
	    menu.overlay.delays.submeu.step = 350;
	    //menu.disabled = true;

		return menu;
		
    }, 20);


	/*
	*  ix_list
	*
	*  This model sets up all related functionlaity
	*
	*  @type	model
	*  @date	10/02/2015
	*  @since	5.1.5
	*
	*  @param	n/a
	*  @return	n/a
	*/
	
	helpers.add_filter( 'ix_list', function( $fields ){

        $fields.push(

			{"slug":"staggering-1","name":"Staggering 1","value":{"style":{"y":"100%"},"triggers":[{"type":"scroll","stepsA":[{"transition":"transform 300ms ease 700ms","y":"0"}],"stepsB":[]}]}},
			{"slug":"staggering-2","name":"Staggering 2","value":{"style":{"y":"100%"},"triggers":[{"type":"scroll","stepsA":[{"transition":"transform 300ms ease 1000ms","y":"0"}],"stepsB":[]}]}},
			{"slug":"staggering-3","name":"Staggering 3","value":{"style":{"y":"100%"},"triggers":[{"type":"scroll","stepsA":[{"transition":"transform 300ms ease 1300ms","y":"0"}],"stepsB":[]}]}},
			{"slug":"header-1","name":"Header 1","value":{"style":{"y":"100%"},"triggers":[{"type":"scroll","stepsA":[{"transition":"transform 500ms ease 200ms","y":"0%"}],"stepsB":[]}]}}

		);
		
		// return
		return $fields;
	    
    }, 50);

    
})(jQuery);