<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 *
 * @package Assembly
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if( has_post_thumbnail() ): ?>
		<div id="image_post_1591" class="asm-image asm-post-image ">
		    <span class="asm-image-responsive-img" style="background-image: url(<?php the_post_thumbnail_url( 'large' ); ?>)"></span>
		</div>
	<?php endif; ?>

	<div class="asm-post-column asm-post-column-1">

		<?php if( ! is_page() ) : ?>
	    	<time class="asm-post-date" datetime="<?php the_time( 'c' ); ?>"><?php the_date(); ?></time>
	    <?php endif; ?>

		<?php if( is_single() || is_page() ) : ?>
			<h1 id="title_post_1591" class="asm-title asm-post-title"><?php the_title(); ?></h1>
		<?php else : ?>
			<h2 id="title_post_1591" class="asm-title asm-post-title">
				<a href="<?php echo esc_url( get_permalink() ); ?>" class="asm-title-link"><?php the_title(); ?></a>
			</h2>
		<?php endif; ?>

	    <div class="asm-post-categories">
	    	<?php printf( '%1$s%2$s', get_the_category_list(), get_the_tag_list( '<ul class="asm-post-tags"><li>', "</li>\n<li>", '</li></ul>' ) ); ?>
	    </div>

	    <div class="asm-post-content">
		    <?php the_content( sprintf(
				__( 'Read more %s', 'assembly-bloc' ),
				the_title( '', '', false )
			) ); ?>

			<?php wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'assembly-bloc' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'assembly-bloc' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) ); ?>
	    </div>
	</div>

</article>
